Skip to main content
GET
/
token
/
transfers
Get Address Token Transfers
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/transfers \
  --header 'X-API-KEY: <api-key>'
{
  "transfers": [
    {
      "contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
      "name": "OMGToken",
      "symbol": "OMG",
      "decimals": "18",
      "logo": "",
      "fromAddress": "0x426b99c64366a1529e8d038a4d7a619b52b66c05",
      "toAddress": "0xb19b920783312592beddd4bea5a2c3a4cd14fed5",
      "blockHash": "0xd863533685cc120db134ef6ecf6758c35225c920600e976ed2a617045421a005",
      "blockNumber": "11381701",
      "blockTimestamp": "2020-12-03T19:58:23.000Z",
      "transactionHash": "0x4cd79c370728e02cd8c385881c24360052fff1d59d6d2cefb7fdf09234c89e2b",
      "amount": "14861516210000000000"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
1088,
1101,
11011,
11124,
11155111,
11155420,
11297108109,
1135,
1284,
1285,
130,
1301,
1329,
137,
1666600000,
167000,
167009,
168587773,
1868,
1946,
2020,
2021,
2442,
248,
25,
250,
2741,
288,
30,
300,
31,
324,
33111,
33139,
360,
369,
37111,
4002,
4202,
42161,
421614,
42170,
42220,
43113,
43114,
480,
4801,
5000,
534351,
534352,
5371,
5373,
545,
56,
57073,
59141,
59144,
7000,
7001,
747,
763373,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
9001,
97,
999999999,
solana,
solana-devnet
Example:

1

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

fromBlock
number

Starting block number to query from.

Example:

0

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
GoldRush,
Moralis,
Helius

Response

200 - application/json
transfers
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="